
%global meadversion 2.1.5
%global namedversion 2.1.5.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package smallrye-metrics}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.1.5.redhat-00001

Name:           %{?scl_prefix}smallrye-metrics
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        SmallRye: MicroProfile Metrics
Group:          Development/Java

%if %with mead
Source100: smallrye-metrics-parent-2.1.5.redhat-00001-project-sources.tar.gz
Source102: smallrye-metrics-testsuite-common-2.1.5.redhat-00001.jar
Source103: smallrye-metrics-release-2.1.5.redhat-00001.pom
Source104: smallrye-metrics-2.1.5.redhat-00001.jar
Source105: smallrye-metrics-2.1.5.redhat-00001-sources.jar
Source106: smallrye-metrics-rest-tck-2.1.5.redhat-00001.jar
Source107: smallrye-metrics-api-tck-2.1.5.redhat-00001.jar
Source108: smallrye-metrics-testsuite-extra-2.1.5.redhat-00001.pom
Source109: smallrye-metrics-testsuite-common-2.1.5.redhat-00001-sources.jar
Source110: smallrye-metrics-api-tck-2.1.5.redhat-00001-sources.jar
Source111: smallrye-metrics-testsuite-parent-2.1.5.redhat-00001.pom
Source112: smallrye-metrics-testsuite-extra-2.1.5.redhat-00001-sources.jar
Source113: smallrye-metrics-2.1.5.redhat-00001.pom
Source114: smallrye-metrics-parent-2.1.5.redhat-00001.pom
Source115: smallrye-metrics-testsuite-extra-2.1.5.redhat-00001.jar
Source116: smallrye-metrics-rest-tck-2.1.5.redhat-00001.pom
Source117: smallrye-metrics-api-tck-2.1.5.redhat-00001.pom
Source118: smallrye-metrics-testsuite-common-2.1.5.redhat-00001.pom
%endif

License:        ASL 2.0
URL:            https://github.com/smallrye/smallrye-metrics/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
SmallRye Metrics is an implementation of Eclipse MicroProfile Metrics.

%if %with javadoc
%package javadoc
Summary:        Javadoc for smallrye-metrics
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n smallrye-metrics-parent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/smallrye-metrics-%{namedversion}.jar %{buildroot}%{_javadir}/smallrye-metrics-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/smallrye-metrics-%{namedversion}-sources.jar %{buildroot}%{_javadir}/smallrye-metrics-%{namedversion}-sources.jar


%if %with javadoc
%{__cp} -p %{_sourcedir}/smallrye-metrics-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/smallrye-metrics-%{namedversion}-javadoc.jar
%endif

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/smallrye-metrics-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/smallrye-metrics-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/smallrye-metrics-%{namedversion} -x META-INF/\*
%{__ln_s} smallrye-metrics-%{namedversion} %{buildroot}%{_javadocdir}/smallrye-metrics
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE README.adoc
%{_javadir}/smallrye-metrics.jar
%{_javadir}/smallrye-metrics-%{namedversion}.jar
%{_javadir}/smallrye-metrics-sources.jar
%{_javadir}/smallrye-metrics-%{namedversion}-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/smallrye-metrics-%{namedversion}
%{_javadocdir}/smallrye-metrics
%endif

%changelog
* Tue Nov 05 2019 Permaine Cheung <pcheung@redhat.com> - 2.1.5-1.redhat_00001.1
- 2.1.5.redhat-00001

* Fri Jul 19 2019 Permaine Cheung <pcheung@redhat.com> - 1.1.3-1.redhat_00010.1
- 1.1.3.redhat-00010

* Thu Jul 18 2019 Permaine Cheung <pcheung@redhat.com> - 1.1.2-2.redhat_00002.1
- 1.1.3.redhat-00010

* Fri May 24 2019 Permaine Cheung <pcheung@redhat.com> - 1.1.2-1.redhat_00002.1
- 1.1.3.redhat-00004

* Thu May 23 2019 Permaine Cheung <pcheung@redhat.com> - 1.1.2-1.redhat_00002.1
- 1.1.3.redhat-00004

* Thu May 23 2019 Permaine Cheung <pcheung@redhat.com> - 1.1.2-1.redhat_00002.1
- 1.1.3.redhat-00004

* Thu May 23 2019 Permaine Cheung <pcheung@redhat.com> - 1.1.2-1.redhat_00002.1
- 1.1.3.redhat-00004

